## python-greenlet 0.4.15

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/greenlet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/greenlet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/greenlet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/greenlet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-greenlet 0.3.1

=== debian/changelog ===
python-greenlet (0.3.1-2) unstable; urgency=low

  * Build for architecture any (Closes: #607805).
  * Include the debug extension (Closes: #607807).

 -- Örjan Persson <orange@fobie.net>  Tue, 17 May 2011 18:00:37 +0200

python-greenlet (0.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dependency on python-support (Closes: #620282).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 08 Apr 2011 21:06:36 +0200

python-greenlet (0.3.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed dependency problem for build clean rule.

 -- Örjan Persson <orange@fobie.net>  Thu, 27 May 2010 19:07:42 +0200

python-greenlet (0.3-1) unstable; urgency=low

  * Initial release (Closes: #532831).

 -- Örjan Persson <orange@fobie.net>  Sun, 04 Apr 2010 15:39:26 +0200

=== debian/control ===
Source: python-greenlet
Priority: extra
Maintainer: Örjan Persson <orange@fobie.net>
Uploaders: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 8.0), python-all-dev, python-all-dbg, gcc (>= 4),
               python-setuptools, python-support (>= 0.90)
Standards-Version: 3.9.1
Section: python
Homepage: http://pypi.python.org/pypi/greenlet
Vcs-Browser: http://git.42mm.org/?p=python-greenlet
Vcs-Git: git://git.42mm.org/git/python-greenlet

Package: python-greenlet-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
Recommends: python-dbg
Description: Lightweight in-process concurrent programming - debugging symbols
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the debugging symbols for greenlet.

Package: python-greenlet-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: python-greenlet, python-greenlet-dev
Description: Lightweight in-process concurrent programming - documentation
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the documentation for greenlet.

Package: python-greenlet-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
Description: Lightweight in-process concurrent programming - development files
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.
 .
 This is the development package for greenlet.

Package: python-greenlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Conflicts: python-codespeak-lib (<< 1.0)
Suggests: python-greenlet-doc, python-greenlet-dev, python-greenlet-dbg
Description: Lightweight in-process concurrent programming
 The greenlet package is a spin-off of Stackless, a version of CPython that
 supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
 (typically in a single or a few OS-level threads) and are synchronized with
 data exchanges on "channels".
 .
 greenlet is the standalone package derived from the py lib, and is used by
 several non-blocking IO packages as a more flexible alternative to Python's
 built in coroutines.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf build/
	find . -type f \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	# See bug #576014
	dh_strip --dbg-package=python-greenlet-dbg
	cd debian/python-greenlet-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-greenlet

.PHONY: override_dh_strip override_dh_installdocs

## python-greenlet 0.3.3

=== debian/changelog ===
python-greenlet (0.3.3-1ubuntu2) quantal; urgency=low

  [ Dave Walker ]
  * debian/{control,rules}:
    - Convert to dh_python2  (LP: #1022721)
    - Drop quilt, it's implied with source format quilt (3.0).
  * debian/rules: Special handling of strip is no longer required.
  * debian/control:
    - Drop gcc build depends, it's an essential package.
    - Depend on versioned debhelper (>= 7.0.50~), required for rules overrides.
    - Bumped Standards to 3.9.3 (no changes required).
  * wrap-and-sorted.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Jul 2012 15:05:34 -0500

python-greenlet (0.3.3-1ubuntu1) quantal; urgency=low

  * Merge from debian unstable remaining changes are: 
    - debian/patches/arm-fix-segfault.patch: Fix segfault with armhf.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 10:34:40 -0400

python-greenlet (0.3.3-1) unstable; urgency=low

  * New upstream version (Closes: #652316, #650293).
  * Document format changed to HTML.
  * Enabled unittests for build.

 -- Örjan Persson <orange@fobie.net>  Wed, 08 Feb 2012 10:38:48 -0800

python-greenlet (0.3.1-3) unstable; urgency=low

  * Added missing .egg-info file, thanks to Stefano Rivera (Closes: #640577).
  * Updated standards version.
  * Fixed lintian warning about copyright.

 -- Örjan Persson <orange@fobie.net>  Wed, 07 Sep 2011 04:02:35 +0200

python-greenlet (0.3.1-1ubuntu5) precise; urgency=low

  * Enable building on armhf as well as armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Dec 2011 12:48:12 -0700

python-greenlet (0.3.1-1ubuntu4) oneiric; urgency=low

  * drop-ts_origin.patch: Resolve issue of an exception being cast when used
    in an i386 environment, by dropping switching-from stack reference and
    safer stack handling.  Patch courtesy of upstream commit. (LP: #840641)
  * fix-arm-broken-tests.patch: Refreshed and re-enabled as it wasn't the
    culprit to the issues encountered.
  * debian-changes-0.3.1-1ubuntu1: Refreshed and Re-enabled, removes *.pyc 
    files oddly shipped in orig tarball. 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 05 Sep 2011 19:33:53 +0100

python-greenlet (0.3.1-1ubuntu3) oneiric; urgency=low

  * Revert previous patch. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 03 Sep 2011 20:35:48 -0400

python-greenlet (0.3.1-1ubuntu2) oneiric; urgency=low

  * debian/patches/fix-arm-broken-tests.patch: Fix arm failures.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 30 Aug 2011 13:54:21 -0400

python-greenlet (0.3.1-1ubuntu1build1) natty; urgency=low

  * Rebuild for Python 2.7.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 09 Dec 2010 12:04:49 +0100

python-greenlet (0.3.1-1ubuntu1) maverick; urgency=low

  * Arch `arm' is so yesterday ... use `armel' instead.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Sep 2010 15:31:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Örjan Persson <orange@fobie.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Örjan Persson <orange@fobie.net>
 Uploaders: Andreas Schuldei <andreas@debian.org>
-Build-Depends: debhelper (>= 8.0), python-all-dev, python-all-dbg, gcc (>= 4),
-               python-setuptools, python-support (>= 0.90)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~),
+               python-all-dbg,
+               python-all-dev,
+               python-setuptools,
+               python-sphinx
+Standards-Version: 3.9.3
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
 Vcs-Browser: http://git.42mm.org/?p=python-greenlet
@@ -13,7 +17,9 @@
 Package: python-greenlet-dbg
 Section: debug
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
+Depends: python-greenlet (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: python-dbg
 Description: Lightweight in-process concurrent programming - debugging symbols
  The greenlet package is a spin-off of Stackless, a version of CPython that
@@ -30,7 +36,7 @@
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
 Suggests: python-greenlet, python-greenlet-dev
 Description: Lightweight in-process concurrent programming - documentation
  The greenlet package is a spin-off of Stackless, a version of CPython that
@@ -46,7 +52,9 @@
 
 Package: python-greenlet-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
+Depends: python-greenlet (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -61,9 +69,9 @@
 
 Package: python-greenlet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Conflicts: python-codespeak-lib (<< 1.0)
-Suggests: python-greenlet-doc, python-greenlet-dev, python-greenlet-dbg
+Suggests: python-greenlet-dbg, python-greenlet-dev, python-greenlet-doc
 Description: Lightweight in-process concurrent programming
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS := $(shell pyversions -sv)

%:
	dh $@ --with python2

override_dh_auto_clean:
	rm -rf build/
	find . \( -type f -or -type l \) \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete
	cd doc && make clean

override_dh_auto_build:
	dh_auto_build
	cd doc && PYTHONPATH=.. make html

override_dh_auto_test: $(PYVERSIONS:%=test-%-stamp)
test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf build/test-$*
	mkdir build/test-$*
	python$* setup.py install_lib -d build/test-$*
	PYTHONPATH=build/test-$* python$* run-tests.py -n
	touch test-python-$*-stamp
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-greenlet

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test override_dh_installdocs

## python-greenlet 0.4.0

=== debian/changelog ===
python-greenlet (0.4.0-2) unstable; urgency=low

  * Fix building with DEB_BUILD_OPTIONS=nocheck (closes: #703618).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 21 Mar 2013 19:17:51 +0100

python-greenlet (0.4.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Fix all packaging problems.
  * Build with hardening enabled.
  * Update Standards-Version and correct debhelper dependency.
  * Switch to dh_python2 and sync with Ubuntu (closes: #673244).
  * Symlink jquery.js and underscore.js to their packaged versions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 31 Aug 2012 19:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,16 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Örjan Persson <orange@fobie.net>
-Uploaders: Andreas Schuldei <andreas@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               python-all-dbg,
-               python-all-dev,
-               python-setuptools,
-               python-sphinx
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), python-all-dev,
+ python-all-dbg, python-setuptools, python-support, python-sphinx
 Standards-Version: 3.9.3
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
-Vcs-Browser: http://git.42mm.org/?p=python-greenlet
-Vcs-Git: git://git.42mm.org/git/python-greenlet
 
 Package: python-greenlet-dbg
 Section: debug
 Architecture: any
-Depends: python-greenlet (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
 Recommends: python-dbg
 Description: Lightweight in-process concurrent programming - debugging symbols
  The greenlet package is a spin-off of Stackless, a version of CPython that
@@ -36,7 +27,7 @@
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-greenlet, python-greenlet-dev
 Description: Lightweight in-process concurrent programming - documentation
  The greenlet package is a spin-off of Stackless, a version of CPython that
@@ -52,9 +43,7 @@
 
 Package: python-greenlet-dev
 Architecture: any
-Depends: python-greenlet (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -69,9 +58,9 @@
 
 Package: python-greenlet
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Conflicts: python-codespeak-lib (<< 1.0)
-Suggests: python-greenlet-dbg, python-greenlet-dev, python-greenlet-doc
+Suggests: python-greenlet-doc, python-greenlet-dev, python-greenlet-dbg
 Description: Lightweight in-process concurrent programming
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 PYVERSIONS := $(shell pyversions -sv)
 
@@ -7,6 +10,7 @@
 
 override_dh_auto_clean:
 	rm -rf build/
+	rm -f greenlet.egg-info/PKG-INFO
 	find . \( -type f -or -type l \) \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete
 	cd doc && make clean
 
@@ -21,8 +25,8 @@
 	mkdir build/test-$*
 	python$* setup.py install_lib -d build/test-$*
 	PYTHONPATH=build/test-$* python$* run-tests.py -n
+endif
 	touch test-python-$*-stamp
-endif
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=python-greenlet

## python-greenlet 0.4.1

=== debian/changelog ===
python-greenlet (0.4.1-0ubuntu2~cloud1) precise-havana; urgency=low

  * No change rebuild to enable new architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 14:27:54 +0100

python-greenlet (0.4.1-0ubuntu2) saucy; urgency=low

  * d/control,rules: Re-instate python3 support.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Aug 2013 13:14:32 +0100

python-greenlet (0.4.1-0ubuntu1) saucy; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Jul 2013 09:58:28 -0400

python-greenlet (0.4.0-1ubuntu4) saucy; urgency=low

  * Fix dependency on python3-all-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2013 13:52:18 +0200

python-greenlet (0.4.0-1ubuntu3) saucy; urgency=low

  * debian/control, debian/rules: Build for python3. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Jun 2013 09:55:44 -0500

python-greenlet (0.4.0-1ubuntu2) raring; urgency=low

  * No change rebuild for Python issue #17703, trashcan mechanism segfault 
    during interpreter finalization

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 23:52:14 +0200

python-greenlet (0.4.0-1ubuntu1) raring; urgency=low

  * Drop obsolete build dependency on python-support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Feb 2013 15:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), python-all-dev,
- python-all-dbg, python-setuptools, python-support, python-sphinx
+ python-all-dbg, python-setuptools, python-sphinx, python3-all-dev, python3-all-dbg,
+ python3-setuptools, python3-sphinx
 Standards-Version: 3.9.3
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
@@ -24,6 +26,24 @@
  .
  This is the debugging symbols for greenlet.
 
+Package: python3-greenlet-dbg
+Section: debug
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
+Recommends: python-dbg
+Description: Lightweight in-process concurrent programming - debugging symbols (python3)
+ The greenlet package is a spin-off of Stackless, a version of CPython that
+ supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+ (typically in a single or a few OS-level threads) and are synchronized with
+ data exchanges on "channels".
+ .
+ greenlet is the standalone package derived from the py lib, and is used by
+ several non-blocking IO packages as a more flexible alternative to Python's
+ built in coroutines.
+ .
+ This is the debugging symbols for greenlet.
+
+
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
@@ -43,7 +63,8 @@
 
 Package: python-greenlet-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -70,3 +91,19 @@
  greenlet is the standalone package derived from the py lib, and is used by
  several non-blocking IO packages as a more flexible alternative to Python's
  built in coroutines.
+
+Package: python3-greenlet
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Conflicts: python-codespeak-lib (<< 1.0)
+Suggests: python-greenlet-doc, python-greenlet-dev, python3-greenlet-dbg
+Description: Lightweight in-process concurrent programming (python3)
+ The greenlet package is a spin-off of Stackless, a version of CPython that
+ supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+ (typically in a single or a few OS-level threads) and are synchronized with
+ data exchanges on "channels".
+ .
+ greenlet is the standalone package derived from the py lib, and is used by
+ several non-blocking IO packages as a more flexible alternative to Python's
+ built in coroutines.
+

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PYTHON2 := $(shell pyversions -sv)
PYTHON3 := $(shell py3versions -sv)

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	rm -rf build/
	rm -f greenlet.egg-info/PKG-INFO
	find . \( -type f -or -type l \) \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete
	cd doc && make clean

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build
	cd doc && PYTHONPATH=.. make html

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_test: $(PYTHON2:%=test-%-stamp) $(PYTHON3:%=test-%-stamp)
test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf build/test-$*
	mkdir build/test-$*
	python$* setup.py install_lib -d build/test-$*
	PYTHONPATH=build/test-$* python$* run-tests.py -n
	touch test-python-$*-stamp
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-greenlet

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test override_dh_installdocs

## python-greenlet 0.4.2

=== debian/changelog ===
python-greenlet (0.4.2-1ubuntu0.1) trusty-proposed; urgency=medium

  * SRU: LP: #1451537.
  * Backport the test_leaks changes from 0.4.9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 15:31:53 +0200

python-greenlet (0.4.2-1build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:34:55 +0100

python-greenlet (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Drop non-zero-on-test-failed patch, upstream solved its function.
  * Drop python-support build dependency (closes: #701475).
  * Update Standards-Version to 3.9.5 .
  * Sync with Ubuntu, but don't enable python3-greenlet-dbg as it has no
    upstream build support.

  [ Michael Cree <mcree@orcon.net.nz> ]
  * Support building on Alpha architecture (closes: #692185).

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build for ppc64le.

  [ James Page <james.page@ubuntu.com> ]
  * d/control,rules: Re-instate python3 support (closes: #725741).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 11:16:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-greenlet
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), python-all-dev,
- python-all-dbg, python-setuptools, python-sphinx, python3-all-dev, python3-all-dbg,
- python3-setuptools, python3-sphinx
-Standards-Version: 3.9.3
+ python-all-dbg, python3-all-dev, python3-all-dbg, python-setuptools,
+ python3-setuptools, python-sphinx, python3-sphinx
+Standards-Version: 3.9.5
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
 
@@ -26,23 +26,22 @@
  .
  This is the debugging symbols for greenlet.
 
-Package: python3-greenlet-dbg
-Section: debug
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
-Recommends: python-dbg
-Description: Lightweight in-process concurrent programming - debugging symbols (python3)
- The greenlet package is a spin-off of Stackless, a version of CPython that
- supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
- (typically in a single or a few OS-level threads) and are synchronized with
- data exchanges on "channels".
- .
- greenlet is the standalone package derived from the py lib, and is used by
- several non-blocking IO packages as a more flexible alternative to Python's
- built in coroutines.
- .
- This is the debugging symbols for greenlet.
-
+#Package: python3-greenlet-dbg
+#Section: debug
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
+#Recommends: python-dbg
+#Description: Lightweight in-process concurrent programming - debugging symbols (python3)
+# The greenlet package is a spin-off of Stackless, a version of CPython that
+# supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+# (typically in a single or a few OS-level threads) and are synchronized with
+# data exchanges on "channels".
+# .
+# greenlet is the standalone package derived from the py lib, and is used by
+# several non-blocking IO packages as a more flexible alternative to Python's
+# built in coroutines.
+# .
+# This is the debugging symbols for greenlet.
 
 Package: python-greenlet-doc
 Section: doc
@@ -63,8 +62,7 @@
 
 Package: python-greenlet-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
- python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
  supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
@@ -106,4 +104,3 @@
  greenlet is the standalone package derived from the py lib, and is used by
  several non-blocking IO packages as a more flexible alternative to Python's
  built in coroutines.
-

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/greenlet/greenlet-(.*)\.tar\.gz

## python-greenlet 0.4.5

=== debian/changelog ===
python-greenlet (0.4.5-1ubuntu1) vivid; urgency=medium

  * Build using GCC 4.7 on powerpc to fix test failures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2015 14:41:57 +0100

python-greenlet (0.4.5-1) unstable; urgency=medium

  * New upstream release, fixes crashes on ARM and MIPS (closes: 751498).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Oct 2014 16:43:22 +0000

python-greenlet (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Separate documentation in packages (closes: #763361).
  * Make watch more generic.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Oct 2014 16:34:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), python-all-dev,
+ g++-4.7 [powerpc],
  python-all-dbg, python3-all-dev, python3-all-dbg, python-setuptools,
  python3-setuptools, python-sphinx, python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,24 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
+  export DEB_CFLAGS_MAINT_APPEND = -fstack-protector
+  export DEB_CFLAGS_MAINT_STRIP = -fstack-protector-strong
+  export DEB_CXXFLAGS_MAINT_APPEND = -fstack-protector
+  export DEB_CXXFLAGS_MAINT_STRIP = -fstack-protector-strong
+  export CC = gcc-4.7
+  export CXX = g++-4.7
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 PYTHON2 := $(shell pyversions -sv)
 PYTHON3 := $(shell py3versions -sv)
+
+$(warning CFLAGS = $(CFLAGS))
+$(warning CXXFLAGS = $(CXXFLAGS))
 
 %:
 	dh $@ --with python2,python3
@@ -34,11 +48,15 @@
 	rm -rf build/test-$*
 	mkdir build/test-$*
 	python$* setup.py install_lib -d build/test-$*
+  ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+	-PYTHONPATH=build/test-$* python$* run-tests.py -n
+  else
 	PYTHONPATH=build/test-$* python$* run-tests.py -n
+  endif
 	touch test-python-$*-stamp
 endif
 
-override_dh_installdocs:
-	dh_installdocs --link-doc=python-greenlet
+#override_dh_installdocs:
+#	dh_installdocs --link-doc=python-greenlet
 
-.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test override_dh_installdocs
+.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/greenlet/greenlet-(.*)\.(?:tgz|tbz2|txz|zip|tar\.(?:gz|bz2|xz))

## python-greenlet 0.4.9

=== debian/changelog ===
python-greenlet (0.4.9-0ubuntu1) wily; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 15:06:02 +0200

python-greenlet (0.4.7-1ubuntu1) wily; urgency=medium

  * Re-enable building the python3-greenlet-dbg package.
  * Build using pybuild.
  * Don't strip the -dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jul 2015 15:53:17 +0200

python-greenlet (0.4.7-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:34:25 +0000

python-greenlet (0.4.7-1) unstable; urgency=low

  * New upstream release.
  * Update copyright to be in 1.0 format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 May 2015 14:56:25 +0000

python-greenlet (0.4.6-2) unstable; urgency=low

  * Backport upstream attempt to fix MIPSel FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 May 2015 18:13:26 +0000

python-greenlet (0.4.6-1) unstable; urgency=low

  * New upstream release, fixes build test failures (closes: #769665).
  * Restore symlinked doc directories (closes: #771745).
  * Add dh-python to Build-Depends-Indep and tune packaging.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 May 2015 18:41:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), python-all-dev,
- g++-4.7 [powerpc],
- python-all-dbg, python3-all-dev, python3-all-dbg, python-setuptools,
- python3-setuptools, python-sphinx, python3-sphinx
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), dh-python,
+ python-all-dev, python-all-dbg,
+ python3-all-dev, python3-all-dbg,
+ python-setuptools, python3-setuptools,
+ python-sphinx, python3-sphinx
 Standards-Version: 3.9.6
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
@@ -26,27 +28,27 @@
  .
  This is the debugging symbols for greenlet.
 
-#Package: python3-greenlet-dbg
-#Section: debug
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
-#Recommends: python-dbg
-#Description: Lightweight in-process concurrent programming - debugging symbols (python3)
-# The greenlet package is a spin-off of Stackless, a version of CPython that
-# supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
-# (typically in a single or a few OS-level threads) and are synchronized with
-# data exchanges on "channels".
-# .
-# greenlet is the standalone package derived from the py lib, and is used by
-# several non-blocking IO packages as a more flexible alternative to Python's
-# built in coroutines.
-# .
-# This is the debugging symbols for greenlet.
+Package: python3-greenlet-dbg
+Section: debug
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
+Recommends: python-dbg
+Description: Lightweight in-process concurrent programming - debugging symbols (python3)
+ The greenlet package is a spin-off of Stackless, a version of CPython that
+ supports micro-threads called "tasklets". Tasklets run pseudo-concurrently
+ (typically in a single or a few OS-level threads) and are synchronized with
+ data exchanges on "channels".
+ .
+ greenlet is the standalone package derived from the py lib, and is used by
+ several non-blocking IO packages as a more flexible alternative to Python's
+ built in coroutines.
+ .
+ This is the debugging symbols for greenlet.
 
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-greenlet, python-greenlet-dev
 Description: Lightweight in-process concurrent programming - documentation
  The greenlet package is a spin-off of Stackless, a version of CPython that

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,8 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
-  export DEB_CFLAGS_MAINT_APPEND = -fstack-protector
-  export DEB_CFLAGS_MAINT_STRIP = -fstack-protector-strong
-  export DEB_CXXFLAGS_MAINT_APPEND = -fstack-protector
-  export DEB_CXXFLAGS_MAINT_STRIP = -fstack-protector-strong
-  export CC = gcc-4.7
-  export CXX = g++-4.7
-endif
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -17,11 +10,10 @@
 PYTHON2 := $(shell pyversions -sv)
 PYTHON3 := $(shell py3versions -sv)
 
-$(warning CFLAGS = $(CFLAGS))
-$(warning CXXFLAGS = $(CXXFLAGS))
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf build/
@@ -56,7 +48,17 @@
 	touch test-python-$*-stamp
 endif
 
-#override_dh_installdocs:
-#	dh_installdocs --link-doc=python-greenlet
+override_dh_installdocs:
+	dh_installdocs --link-doc=python-greenlet
 
-.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test
+override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip -p python-greenlet --dbg-package=python-greenlet-dbg
+	dh_strip -p python3-greenlet --dbg-package=python3-greenlet-dbg
+endif
+
+override_dh_compress:
+	dh_compress -X.html
+
+.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test \
+	override_dh_installdocs override_dh_compress

=== debian/watch ===
version=3
https://pypi.python.org/pypi/greenlet .*version=(.+)

## python-greenlet 0.4.10

=== debian/changelog ===
python-greenlet (0.4.10-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 12 Sep 2016 19:21:11 +0100

python-greenlet (0.4.10-1) unstable; urgency=low

  * New upstream release.
  * Change -dev and -dbg and python3-greenlet packages doc symlinks to
    directories (closes: #813247).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Jun 2016 14:40:48 +0000

python-greenlet (0.4.9-2) unstable; urgency=low

  * Fix FTBFS when nocheck is defined.
  * This release compiles on m68k (closes: #700730).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Jan 2016 10:16:01 +0100

python-greenlet (0.4.9-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on, only suggest python-greenlet for -doc (closes: #811433).
  * Re-enable python3-greenlet-dbg package (closes: #793802).
  * Don't symlink doc/ directory between packages (closes: #788168).
  * Use upstream test suite (closes: #681257).
  * Build using pybuild.
  * Remove ppc64le.diff , applied upstream.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Sep 2015 16:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-greenlet
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), dh-python,
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~),
  python-all-dev, python-all-dbg,
  python3-all-dev, python3-all-dbg,
  python-setuptools, python3-setuptools,
  python-sphinx, python3-sphinx
-Standards-Version: 3.9.6
+Build-Depends-Indep: dh-python
+Standards-Version: 3.9.8
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
 
 Package: python-greenlet-dbg
 Section: debug
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
 Recommends: python-dbg
 Description: Lightweight in-process concurrent programming - debugging symbols
@@ -31,6 +32,7 @@
 Package: python3-greenlet-dbg
 Section: debug
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
 Recommends: python-dbg
 Description: Lightweight in-process concurrent programming - debugging symbols (python3)
@@ -48,6 +50,7 @@
 Package: python-greenlet-doc
 Section: doc
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-greenlet, python-greenlet-dev
 Description: Lightweight in-process concurrent programming - documentation
@@ -64,6 +67,7 @@
 
 Package: python-greenlet-dev
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version}) | python3-greenlet (= ${binary:Version})
 Description: Lightweight in-process concurrent programming - development files
  The greenlet package is a spin-off of Stackless, a version of CPython that
@@ -94,6 +98,7 @@
 
 Package: python3-greenlet
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Conflicts: python-codespeak-lib (<< 1.0)
 Suggests: python-greenlet-doc, python-greenlet-dev, python3-greenlet-dbg

## python-greenlet 0.4.11

=== debian/changelog ===
python-greenlet (0.4.11-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Jan 2017 17:43:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-greenlet
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~),
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 10),
  python-all-dev, python-all-dbg,
  python3-all-dev, python3-all-dbg,
  python-setuptools, python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
-	rm -rf build/
+	rm -rf build/ .pybuild/
 	rm -f greenlet.egg-info/PKG-INFO
 	find . \( -type f -or -type l \) \( -name '*.py[co]' -or -name '*.so' -or -name '*.log' \) -delete
 	cd doc && make clean
@@ -45,11 +45,8 @@
   else
 	PYTHONPATH=build/test-$* python$* run-tests.py -n
   endif
+endif
 	touch test-python-$*-stamp
-endif
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=python-greenlet
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
@@ -61,4 +58,4 @@
 	dh_compress -X.html
 
 .PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test \
-	override_dh_installdocs override_dh_compress
+	override_dh_compress

=== debian/watch ===
version=3
https://github.com/python-greenlet/greenlet/tags .*/archive/v?([0-9][0-9\.]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-greenlet 0.4.12

=== debian/changelog ===
python-greenlet (0.4.12-2) unstable; urgency=medium

  * Don't clobber 'r2' register on ppc64el (closes: #873694).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Sep 2017 06:40:06 +0000

python-greenlet (0.4.12-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.0.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Aug 2017 17:04:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-greenlet
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 10),
  python-all-dev, python-all-dbg,
@@ -7,12 +7,13 @@
  python-setuptools, python3-setuptools,
  python-sphinx, python3-sphinx
 Build-Depends-Indep: dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: python
 Homepage: http://pypi.python.org/pypi/greenlet
 
 Package: python-greenlet-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet (= ${binary:Version})
@@ -31,6 +32,7 @@
 
 Package: python3-greenlet-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, python3-greenlet (= ${binary:Version})
